<?php
/**
* Social Options.
*
* @package Plumbing Technician
*/

$plumbing_technician_default = plumbing_technician_get_default_theme_options();

// Social Section.
$wp_customize->add_section( 'plumbing_technician_social_icon_setting',
	array(
	'title'      => esc_html__( 'Social Settings', 'plumbing-technician' ),
	'priority'   => 10,
	'capability' => 'edit_theme_options',
	'panel'      => 'plumbing_technician_theme_option_panel',
	)
);

$wp_customize->add_setting( 'plumbing_technician_header_banner_social_facebook_link',
    array(
    'default'           => $plumbing_technician_default['plumbing_technician_header_banner_social_facebook_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'plumbing_technician_header_banner_social_facebook_link',
    array(
    'label'    => esc_html__( 'Facebook Link', 'plumbing-technician' ),
    'section'  => 'plumbing_technician_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'plumbing_technician_header_banner_social_twitter_link',
    array(
    'default'           => $plumbing_technician_default['plumbing_technician_header_banner_social_twitter_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'plumbing_technician_header_banner_social_twitter_link',
    array(
    'label'    => esc_html__( 'Twitter Link', 'plumbing-technician' ),
    'section'  => 'plumbing_technician_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'plumbing_technician_header_banner_social_instagram_link',
    array(
    'default'           => $plumbing_technician_default['plumbing_technician_header_banner_social_instagram_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'plumbing_technician_header_banner_social_instagram_link',
    array(
    'label'    => esc_html__( 'Instagram Link', 'plumbing-technician' ),
    'section'  => 'plumbing_technician_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'plumbing_technician_header_banner_social_linkdin_link',
    array(
    'default'           => $plumbing_technician_default['plumbing_technician_header_banner_social_linkdin_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'plumbing_technician_header_banner_social_linkdin_link',
    array(
    'label'    => esc_html__( 'Linkedin Link', 'plumbing-technician' ),
    'section'  => 'plumbing_technician_social_icon_setting',
    'type'     => 'url',
    )
);

$wp_customize->add_setting( 'plumbing_technician_header_banner_social_watsapp_link',
    array(
    'default'           => $plumbing_technician_default['plumbing_technician_header_banner_social_watsapp_link'],
    'capability'        => 'edit_theme_options',
    'sanitize_callback' => 'esc_url_raw',
    )
);
$wp_customize->add_control( 'plumbing_technician_header_banner_social_watsapp_link',
    array(
    'label'    => esc_html__( 'Watsapp Link', 'plumbing-technician' ),
    'section'  => 'plumbing_technician_social_icon_setting',
    'type'     => 'url',
    )
);